Package org.eclipse.emf.cdo.spi.server

# Klasse AppExtension

java.lang.Object
org.eclipse.emf.cdo.spi.server.AbstractAppExtension
org.eclipse.emf.cdo.spi.server.AppExtension

Alle implementierten Schnittstellen:
  `IAppExtension`, `IAppExtension3`, `IAppExtension5`, `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.ParameterAware`

Bekannte direkte Unterklassen:
  `LMAppExtension`

public abstract class AppExtension extends AbstractAppExtension implements IAppExtension3, IAppExtension5

Seit:
  4.10
Autor:
  Eike Stepper

## Feldübersicht

### Von Schnittstelle geerbte Felder org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`AppExtension()`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`abstract String`
`getName()`
`final void`
`start(File configFile)`
`void`
`start(IRepository[] repositories, File configFile)`
`protected abstract void`
`start(InternalRepository repository, Element repositoryConfig)`
`boolean`
`startBeforeRepositories()`
`final void`
`stop()`
`void`
`stop(IRepository[] repositories)`
`protected abstract void`
`stop(InternalRepository repository)`

### Von Klasse geerbte Methoden org.eclipse.emf.cdo.spi.server.AbstractAppExtension

`getAttribute, getContainer, getDocument, getParameters, getRepository, setManagedContainer, setParameters`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### AppExtension

public AppExtension()

## Methodendetails

### getName

public abstract String getName()

Angegeben von:
  `getName` in Schnittstelle `IAppExtension5`

### startBeforeRepositories

public boolean startBeforeRepositories()

Angegeben von:
  `startBeforeRepositories` in Schnittstelle `IAppExtension5`

### start

public final void start(File configFile) throws Exception

Angegeben von:
  `start` in Schnittstelle `IAppExtension`
Löst aus:
  `Exception`

### stop

public final void stop() throws Exception

Angegeben von:
  `stop` in Schnittstelle `IAppExtension`
Löst aus:
  `Exception`

### start

public void start(IRepository[] repositories, File configFile) throws Exception

Angegeben von:
  `start` in Schnittstelle `IAppExtension3`
Löst aus:
  `Exception`

### stop

public void stop(IRepository[] repositories) throws Exception

Angegeben von:
  `stop` in Schnittstelle `IAppExtension3`
Löst aus:
  `Exception`

### start

protected abstract void start(InternalRepository repository, Element repositoryConfig) throws Exception

Löst aus:
  `Exception`

### stop

protected abstract void stop(InternalRepository repository) throws Exception

Löst aus:
  `Exception`